
> module Testing (module Testing, module QuickCheck) where

A simple extension to QuickCheck to allow batching of tests w/o having to run a cmdline script, or inspect source code...

@todo it would be nice to use "reflection" capabilities or somesuch if they exist in Haskell...

> import QuickCheck

> runTests :: String -> [IO ()] -> IO [()]
> runTests moduleName tests 
>   = do putStrLn ("Tests For Module \""++ moduleName ++ "\"")
>        putStrLn "==================================="
>        sequence output where
>   output        = map printTestCase allTestCases
>   printTestCase (label, testCase) = putStr label >> testCase
>   allTestCases = (take (length tests) (zip labels tests))
>   labels       = (map (\num -> (show num) ++ ") ") [1..]) 
